#ifndef BACK_BASE_H
#define BACK_BASE_H

int ln_baseN(int n, int b);

int pw(int x, int n);

int abs(int n);

int min(int a, int b);

int max(int a, int b);

double absf(double n);

int convex_seg(int x1, int x2, double theta);

bool is_an_integer(char c);

double to_double(int n);

int to_int(double n);

double distance_pt(int x1, int x2, int y1, int y2);

int line_count(char* filename);

int get_integer(FILE* ptr);

int get_integer_plus_align(FILE* ptr, FILE* ptr2);

int count_char_in_line(FILE* ptr, char c);

void terminate_line(FILE* ptr);

bool arr_mem(array arr, int elt);

cardinal rotateClockWise(cardinal dir);

cardinal rotateCounterWise(cardinal dir);

void indent(array* arr, int i);

void append(array* arr, int elt);

void pop(array* arr, int elt);

void import_digits(SDL_Renderer* renderer);

void import_letters(SDL_Renderer* renderer);

void free_digits(imgs dgts);

#endif